Index: trunk/FACT++/erfa/src/t_erfa_c.c
===================================================================
--- trunk/FACT++/erfa/src/t_erfa_c.c	(revision 18710)
+++ trunk/FACT++/erfa/src/t_erfa_c.c	(revision 18711)
@@ -18,5 +18,5 @@
 **  All messages go to stdout.
 **
-**  This revision:  2015 January 30
+**  This revision:  2016 July 11
 **
 */
@@ -77,5 +77,5 @@
 **     status   int          set to TRUE if test fails
 **
-**  This revision:  2013 August 7
+**  This revision:  2016 April 21
 */
 {
@@ -84,5 +84,5 @@
 
    a = val - valok;
-   if (fabs(a) > dval) {
+   if (a != 0.0 && fabs(a) > fabs(dval)) {
       f = fabs(valok / a);
       *status = 1;
@@ -2903,5 +2903,5 @@
 **  Called:  eraDat, vvd, viv
 **
-**  This revision:  2015 January 30
+**  This revision:  2016 July 11
 */
 {
@@ -2920,7 +2920,7 @@
    viv(j, 0, "eraDat", "j2", status);
 
-   j = eraDat(2015, 9, 1, 0.0, &deltat);
-
-   vvd(deltat, 36.0, 0.0, "eraDat", "d3", status);
+   j = eraDat(2017, 9, 1, 0.0, &deltat);
+
+   vvd(deltat, 37.0, 0.0, "eraDat", "d3", status);
    viv(j, 0, "eraDat", "j3", status);
 
@@ -2979,4 +2979,80 @@
 }
 
+static void t_eceq06(int *status)
+/*
+**  - - - - -
+**   t _ e c e q 0 6
+**  - - - - -
+**
+**  Test eraEceq06 function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraEceq06, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double date1, date2, dl, db, dr, dd;
+
+
+   date1 = 2456165.5;
+   date2 = 0.401182685;
+   dl = 5.1;
+   db = -0.9;
+
+   eraEceq06(date1, date2, dl, db, &dr, &dd);
+
+   vvd(dr, 5.533459733613627767, 1e-14, "eraEceq06", "dr", status);
+   vvd(dd, -1.246542932554480576, 1e-14, "eraEceq06", "dd", status);
+
+}
+
+static void t_ecm06(int *status)
+/*
+**  - - - - - - - -
+**   t _ e c m 0 6
+**  - - - - - - - -
+**
+**  Test eraEcm06 function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraEcm06, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double date1, date2, rm[3][3];
+
+
+   date1 = 2456165.5;
+   date2 = 0.401182685;
+
+   eraEcm06(date1, date2, rm);
+
+   vvd(rm[0][0], 0.9999952427708701137, 1e-14,
+       "eraEcm06", "rm11", status);
+   vvd(rm[0][1], -0.2829062057663042347e-2, 1e-14,
+       "eraEcm06", "rm12", status);
+   vvd(rm[0][2], -0.1229163741100017629e-2, 1e-14,
+       "eraEcm06", "rm13", status);
+   vvd(rm[1][0], 0.3084546876908653562e-2, 1e-14,
+       "eraEcm06", "rm21", status);
+   vvd(rm[1][1], 0.9174891871550392514, 1e-14,
+       "eraEcm06", "rm22", status);
+   vvd(rm[1][2], 0.3977487611849338124, 1e-14,
+       "eraEcm06", "rm23", status);
+   vvd(rm[2][0], 0.2488512951527405928e-5, 1e-14,
+       "eraEcm06", "rm31", status);
+   vvd(rm[2][1], -0.3977506604161195467, 1e-14,
+       "eraEcm06", "rm32", status);
+   vvd(rm[2][2], 0.9174935488232863071, 1e-14,
+       "eraEcm06", "rm33", status);
+
+}
+
 static void t_ee00(int *status)
 /*
@@ -3119,5 +3195,5 @@
 **  Called:  eraEform, viv, vvd
 **
-**  This revision:  2013 August 7
+**  This revision:  2016 March 12
 */
 {
@@ -3133,5 +3209,5 @@
    viv(j, 0, "eraEform", "j1", status);
    vvd(a, 6378137.0, 1e-10, "eraEform", "a1", status);
-   vvd(f, 0.0033528106647474807, 1e-18, "eraEform", "f1", status);
+   vvd(f, 0.3352810664747480720e-2, 1e-18, "eraEform", "f1", status);
 
    j = eraEform(ERFA_GRS80, &a, &f);
@@ -3139,5 +3215,5 @@
    viv(j, 0, "eraEform", "j2", status);
    vvd(a, 6378137.0, 1e-10, "eraEform", "a2", status);
-   vvd(f, 0.0033528106811823189, 1e-18, "eraEform", "f2", status);
+   vvd(f, 0.3352810681182318935e-2, 1e-18, "eraEform", "f2", status);
 
    j = eraEform(ERFA_WGS72, &a, &f);
@@ -3145,5 +3221,5 @@
    viv(j, 0, "eraEform", "j2", status);
    vvd(a, 6378135.0, 1e-10, "eraEform", "a3", status);
-   vvd(f, 0.0033527794541675049, 1e-18, "eraEform", "f3", status);
+   vvd(f, 0.3352779454167504862e-2, 1e-18, "eraEform", "f3", status);
 
    j = eraEform(4, &a, &f);
@@ -3372,4 +3448,35 @@
 
    viv(j, 0, "eraEpv00", "j", status);
+
+}
+
+static void t_eqec06(int *status)
+/*
+**  - - - - - - - - -
+**   t _ e q e c 0 6
+**  - - - - - - - - -
+**
+**  Test eraEqec06 function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraEqec06, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double date1, date2, dr, dd, dl, db;
+
+
+   date1 = 1234.5;
+   date2 = 2440000.5;
+   dr = 1.234;
+   dd = 0.987;
+
+   eraEqec06(date1, date2, dr, dd, &dl, &db);
+
+   vvd(dl, 1.342509918994654619, 1e-14, "eraEqec06", "dl", status);
+   vvd(db, 0.5926215259704608132, 1e-14, "eraEqec06", "db", status);
 
 }
@@ -3945,5 +4052,5 @@
 **  Called:  eraGc2gd, viv, vvd
 **
-**  This revision:  2013 August 7
+**  This revision:  2016 March 12
 */
 {
@@ -3959,12 +4066,12 @@
 
    viv(j, 0, "eraGc2gd", "j1", status);
-   vvd(e, 0.98279372324732907, 1e-14, "eraGc2gd", "e1", status);
+   vvd(e, 0.9827937232473290680, 1e-14, "eraGc2gd", "e1", status);
    vvd(p, 0.97160184819075459, 1e-14, "eraGc2gd", "p1", status);
-   vvd(h, 331.41724614260599, 1e-8, "eraGc2gd", "h1", status);
+   vvd(h, 331.4172461426059892, 1e-8, "eraGc2gd", "h1", status);
 
    j = eraGc2gd(ERFA_GRS80, xyz, &e, &p, &h);
 
    viv(j, 0, "eraGc2gd", "j2", status);
-   vvd(e, 0.98279372324732907, 1e-14, "eraGc2gd", "e2", status);
+   vvd(e, 0.9827937232473290680, 1e-14, "eraGc2gd", "e2", status);
    vvd(p, 0.97160184820607853, 1e-14, "eraGc2gd", "p2", status);
    vvd(h, 331.41731754844348, 1e-8, "eraGc2gd", "h2", status);
@@ -3973,7 +4080,7 @@
 
    viv(j, 0, "eraGc2gd", "j3", status);
-   vvd(e, 0.98279372324732907, 1e-14, "eraGc2gd", "e3", status);
-   vvd(p, 0.97160181811015119, 1e-14, "eraGc2gd", "p3", status);
-   vvd(h, 333.27707261303181, 1e-8, "eraGc2gd", "h3", status);
+   vvd(e, 0.9827937232473290680, 1e-14, "eraGc2gd", "e3", status);
+   vvd(p, 0.9716018181101511937, 1e-14, "eraGc2gd", "p3", status);
+   vvd(h, 333.2770726130318123, 1e-8, "eraGc2gd", "h3", status);
 
    j = eraGc2gd(4, xyz, &e, &p, &h);
@@ -3995,5 +4102,5 @@
 **  Called:  eraGc2gde, viv, vvd
 **
-**  This revision:  2013 August 7
+**  This revision:  2016 March 12
 */
 {
@@ -4006,6 +4113,6 @@
 
    viv(j, 0, "eraGc2gde", "j", status);
-   vvd(e, 0.98279372324732907, 1e-14, "eraGc2gde", "e", status);
-   vvd(p, 0.97160183775704115, 1e-14, "eraGc2gde", "p", status);
+   vvd(e, 0.9827937232473290680, 1e-14, "eraGc2gde", "e", status);
+   vvd(p, 0.9716018377570411532, 1e-14, "eraGc2gde", "p", status);
    vvd(h, 332.36862495764397, 1e-8, "eraGc2gde", "h", status);
 }
@@ -4024,5 +4131,5 @@
 **  Called:  eraGd2gc, viv, vvd
 **
-**  This revision:  2013 August 7
+**  This revision:  2016 March 12
 */
 {
@@ -4038,21 +4145,21 @@
 
    viv(j, 0, "eraGd2gc", "j1", status);
-   vvd(xyz[0], -5599000.5577049947, 1e-7, "eraGd2gc", "0/1", status);
-   vvd(xyz[1], 233011.67223479203, 1e-7, "eraGd2gc", "1/1", status);
-   vvd(xyz[2], -3040909.4706983363, 1e-7, "eraGd2gc", "2/1", status);
+   vvd(xyz[0], -5599000.5577049947, 1e-7, "eraGd2gc", "1/1", status);
+   vvd(xyz[1], 233011.67223479203, 1e-7, "eraGd2gc", "2/1", status);
+   vvd(xyz[2], -3040909.4706983363, 1e-7, "eraGd2gc", "3/1", status);
 
    j = eraGd2gc(ERFA_GRS80, e, p, h, xyz);
 
    viv(j, 0, "eraGd2gc", "j2", status);
-   vvd(xyz[0], -5599000.5577260984, 1e-7, "eraGd2gc", "0/2", status);
-   vvd(xyz[1], 233011.6722356703, 1e-7, "eraGd2gc", "1/2", status);
-   vvd(xyz[2], -3040909.4706095476, 1e-7, "eraGd2gc", "2/2", status);
+   vvd(xyz[0], -5599000.5577260984, 1e-7, "eraGd2gc", "1/2", status);
+   vvd(xyz[1], 233011.6722356702949, 1e-7, "eraGd2gc", "2/2", status);
+   vvd(xyz[2], -3040909.4706095476, 1e-7, "eraGd2gc", "3/2", status);
 
    j = eraGd2gc(ERFA_WGS72, e, p, h, xyz);
 
    viv(j, 0, "eraGd2gc", "j3", status);
-   vvd(xyz[0], -5598998.7626301490, 1e-7, "eraGd2gc", "0/3", status);
-   vvd(xyz[1], 233011.5975297822, 1e-7, "eraGd2gc", "1/3", status);
-   vvd(xyz[2], -3040908.6861467111, 1e-7, "eraGd2gc", "2/3", status);
+   vvd(xyz[0], -5598998.7626301490, 1e-7, "eraGd2gc", "1/3", status);
+   vvd(xyz[1], 233011.5975297822211, 1e-7, "eraGd2gc", "2/3", status);
+   vvd(xyz[2], -3040908.6861467111, 1e-7, "eraGd2gc", "3/3", status);
 
    j = eraGd2gc(4, e, p, h, xyz);
@@ -4074,5 +4181,5 @@
 **  Called:  eraGd2gce, viv, vvd
 **
-**  This revision:  2013 August 7
+**  This revision:  2016 March 12
 */
 {
@@ -4085,7 +4192,7 @@
 
    viv(j, 0, "eraGd2gce", "j", status);
-   vvd(xyz[0], -5598999.6665116328, 1e-7, "eraGd2gce", "0", status);
-   vvd(xyz[1], 233011.63514630572, 1e-7, "eraGd2gce", "1", status);
-   vvd(xyz[2], -3040909.0517314132, 1e-7, "eraGd2gce", "2", status);
+   vvd(xyz[0], -5598999.6665116328, 1e-7, "eraGd2gce", "1", status);
+   vvd(xyz[1], 233011.6351463057189, 1e-7, "eraGd2gce", "2", status);
+   vvd(xyz[2], -3040909.0517314132, 1e-7, "eraGd2gce", "3", status);
 }
 
@@ -4663,4 +4770,260 @@
    vvd(p1[2], -0.2167355419322321302, 1e-12,
                "eraLdsun", "3", status);
+
+}
+
+static void t_lteceq(int *status)
+/*
+**  - - - - - - - - -
+**   t _ l t e c e q
+**  - - - - - - - - -
+**
+**  Test eraLteceq function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLteceq, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, dl, db, dr, dd;
+
+
+   epj = 2500.0;
+   dl = 1.5;
+   db = 0.6;
+
+   eraLteceq(epj, dl, db, &dr, &dd);
+
+   vvd(dr, 1.275156021861921167, 1e-14, "eraLteceq", "dr", status);
+   vvd(dd, 0.9966573543519204791, 1e-14, "eraLteceq", "dd", status);
+
+}
+
+static void t_ltecm(int *status)
+/*
+**  - - - - - - - -
+**   t _ l t e c m
+**  - - - - - - - -
+**
+**  Test eraLtecm function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLtecm, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, rm[3][3];
+
+
+   epj = -3000.0;
+
+   eraLtecm(epj, rm);
+
+   vvd(rm[0][0], 0.3564105644859788825, 1e-14,
+       "eraLtecm", "rm11", status);
+   vvd(rm[0][1], 0.8530575738617682284, 1e-14,
+       "eraLtecm", "rm12", status);
+   vvd(rm[0][2], 0.3811355207795060435, 1e-14,
+       "eraLtecm", "rm13", status);
+   vvd(rm[1][0], -0.9343283469640709942, 1e-14,
+       "eraLtecm", "rm21", status);
+   vvd(rm[1][1], 0.3247830597681745976, 1e-14,
+       "eraLtecm", "rm22", status);
+   vvd(rm[1][2], 0.1467872751535940865, 1e-14,
+       "eraLtecm", "rm23", status);
+   vvd(rm[2][0], 0.1431636191201167793e-2, 1e-14,
+       "eraLtecm", "rm31", status);
+   vvd(rm[2][1], -0.4084222566960599342, 1e-14,
+       "eraLtecm", "rm32", status);
+   vvd(rm[2][2], 0.9127919865189030899, 1e-14,
+       "eraLtecm", "rm33", status);
+
+}
+
+static void t_lteqec(int *status)
+/*
+**  - - - - - - - - -
+**   t _ l t e q e c
+**  - - - - - - - - -
+**
+**  Test eraLteqec function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLteqec, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, dr, dd, dl, db;
+
+
+   epj = -1500.0;
+   dr = 1.234;
+   dd = 0.987;
+
+   eraLteqec(epj, dr, dd, &dl, &db);
+
+   vvd(dl, 0.5039483649047114859, 1e-14, "eraLteqec", "dl", status);
+   vvd(db, 0.5848534459726224882, 1e-14, "eraLteqec", "db", status);
+
+}
+
+static void t_ltp(int *status)
+/*
+**  - - - - - -
+**   t _ l t p
+**  - - - - - -
+**
+**  Test eraLtp function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLtp, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, rp[3][3];
+
+
+   epj = 1666.666;
+
+   eraLtp(epj, rp);
+
+   vvd(rp[0][0], 0.9967044141159213819, 1e-14,
+       "eraLtp", "rp11", status);
+   vvd(rp[0][1], 0.7437801893193210840e-1, 1e-14,
+       "eraLtp", "rp12", status);
+   vvd(rp[0][2], 0.3237624409345603401e-1, 1e-14,
+       "eraLtp", "rp13", status);
+   vvd(rp[1][0], -0.7437802731819618167e-1, 1e-14,
+       "eraLtp", "rp21", status);
+   vvd(rp[1][1], 0.9972293894454533070, 1e-14,
+       "eraLtp", "rp22", status);
+   vvd(rp[1][2], -0.1205768842723593346e-2, 1e-14,
+       "eraLtp", "rp23", status);
+   vvd(rp[2][0], -0.3237622482766575399e-1, 1e-14,
+       "eraLtp", "rp31", status);
+   vvd(rp[2][1], -0.1206286039697609008e-2, 1e-14,
+       "eraLtp", "rp32", status);
+   vvd(rp[2][2], 0.9994750246704010914, 1e-14,
+       "eraLtp", "rp33", status);
+
+}
+
+static void t_ltpb(int *status)
+/*
+**  - - - - - - -
+**   t _ l t p b
+**  - - - - - - -
+**
+**  Test eraLtpb function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLtpb, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, rpb[3][3];
+
+
+   epj = 1666.666;
+
+   eraLtpb(epj, rpb);
+
+   vvd(rpb[0][0], 0.9967044167723271851, 1e-14,
+       "eraLtpb", "rpb11", status);
+   vvd(rpb[0][1], 0.7437794731203340345e-1, 1e-14,
+       "eraLtpb", "rpb12", status);
+   vvd(rpb[0][2], 0.3237632684841625547e-1, 1e-14,
+       "eraLtpb", "rpb13", status);
+   vvd(rpb[1][0], -0.7437795663437177152e-1, 1e-14,
+       "eraLtpb", "rpb21", status);
+   vvd(rpb[1][1], 0.9972293947500013666, 1e-14,
+       "eraLtpb", "rpb22", status);
+   vvd(rpb[1][2], -0.1205741865911243235e-2, 1e-14,
+       "eraLtpb", "rpb23", status);
+   vvd(rpb[2][0], -0.3237630543224664992e-1, 1e-14,
+       "eraLtpb", "rpb31", status);
+   vvd(rpb[2][1], -0.1206316791076485295e-2, 1e-14,
+       "eraLtpb", "rpb32", status);
+   vvd(rpb[2][2], 0.9994750220222438819, 1e-14,
+       "eraLtpb", "rpb33", status);
+
+}
+
+static void t_ltpecl(int *status)
+/*
+**  - - - - - - - - -
+**   t _ l t p e c l
+**  - - - - - - - - -
+**
+**  Test eraLtpecl function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLtpecl, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, vec[3];
+
+
+   epj = -1500.0;
+
+   eraLtpecl(epj, vec);
+
+   vvd(vec[0], 0.4768625676477096525e-3, 1e-14,
+       "eraLtpecl", "vec1", status);
+   vvd(vec[1], -0.4052259533091875112, 1e-14,
+       "eraLtpecl", "vec2", status);
+   vvd(vec[2], 0.9142164401096448012, 1e-14,
+       "eraLtpecl", "vec3", status);
+
+}
+
+static void t_ltpequ(int *status)
+/*
+**  - - - - - - - - -
+**   t _ l t p e q u
+**  - - - - - - - - -
+**
+**  Test eraLtpequ function.
+**
+**  Returned:
+**     status    int         FALSE = success, TRUE = fail
+**
+**  Called:  eraLtpequ, vvd
+**
+**  This revision:  2016 March 12
+*/
+{
+   double epj, veq[3];
+
+
+   epj = -2500.0;
+
+   eraLtpequ(epj, veq);
+
+   vvd(veq[0], -0.3586652560237326659, 1e-14,
+       "eraLtpequ", "veq1", status);
+   vvd(veq[1], -0.1996978910771128475, 1e-14,
+       "eraLtpequ", "veq2", status);
+   vvd(veq[2], 0.9118552442250819624, 1e-14,
+       "eraLtpequ", "veq3", status);
 
 }
@@ -9060,5 +9423,5 @@
 **  - - - - -
 **
-**  This revision:  2013 October 3
+**  This revision:  2016 March 12
 */
 {
@@ -9134,4 +9497,6 @@
    t_dtdb(&status);
    t_dtf2d(&status);
+   t_eceq06(&status);
+   t_ecm06(&status);
    t_ee00(&status);
    t_ee00a(&status);
@@ -9147,4 +9512,5 @@
    t_epj2jd(&status);
    t_epv00(&status);
+   t_eqec06(&status);
    t_eqeq94(&status);
    t_era00(&status);
@@ -9190,4 +9556,11 @@
    t_ldn(&status);
    t_ldsun(&status);
+   t_lteceq(&status);
+   t_ltecm(&status);
+   t_lteqec(&status);
+   t_ltp(&status);
+   t_ltpb(&status);
+   t_ltpecl(&status);
+   t_ltpequ(&status);
    t_num00a(&status);
    t_num00b(&status);
@@ -9309,5 +9682,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/taitt.c
===================================================================
--- trunk/FACT++/erfa/src/taitt.c	(revision 18710)
+++ trunk/FACT++/erfa/src/taitt.c	(revision 18711)
@@ -34,5 +34,5 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -41,4 +41,5 @@
 /* TT minus TAI (days). */
    static const double dtat = ERFA_TTMTAI/ERFA_DAYSEC;
+
 
 /* Result, safeguarding precision. */
@@ -58,5 +59,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/taiut1.c
===================================================================
--- trunk/FACT++/erfa/src/taiut1.c	(revision 18710)
+++ trunk/FACT++/erfa/src/taiut1.c	(revision 18711)
@@ -36,9 +36,10 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dtad;
+
 
 /* Result, safeguarding precision. */
@@ -59,5 +60,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/taiutc.c
===================================================================
--- trunk/FACT++/erfa/src/taiutc.c	(revision 18710)
+++ trunk/FACT++/erfa/src/taiutc.c	(revision 18711)
@@ -57,5 +57,5 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -64,4 +64,5 @@
    int i, j;
    double a1, a2, u1, u2, g1, g2;
+
 
 /* Put the two parts of the TAI into big-first order. */
@@ -107,5 +108,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tcbtdb.c
===================================================================
--- trunk/FACT++/erfa/src/tcbtdb.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tcbtdb.c	(revision 18711)
@@ -48,5 +48,5 @@
 **     IAU 2006 Resolution B3
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -61,4 +61,5 @@
 
    double d;
+
 
 /* Result, safeguarding precision. */
@@ -80,5 +81,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tcgtt.c
===================================================================
--- trunk/FACT++/erfa/src/tcgtt.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tcgtt.c	(revision 18711)
@@ -33,5 +33,5 @@
 **     IAU 2000 Resolution B1.9
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -40,4 +40,5 @@
 /* 1977 Jan 1 00:00:32.184 TT, as MJD */
    static const double t77t = ERFA_DJM77 + ERFA_TTMTAI/ERFA_DAYSEC;
+
 
 /* Result, safeguarding precision. */
@@ -57,5 +58,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tdbtcb.c
===================================================================
--- trunk/FACT++/erfa/src/tdbtcb.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tdbtcb.c	(revision 18711)
@@ -48,5 +48,5 @@
 **     IAU 2006 Resolution B3
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -64,4 +64,5 @@
 
    double d, f;
+
 
 /* Result, preserving date format but safeguarding precision. */
@@ -85,5 +86,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tdbtt.c
===================================================================
--- trunk/FACT++/erfa/src/tdbtt.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tdbtt.c	(revision 18711)
@@ -46,9 +46,10 @@
 **     IAU 2006 Resolution 3
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dtrd;
+
 
 /* Result, safeguarding precision. */
@@ -69,5 +70,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tf2a.c
===================================================================
--- trunk/FACT++/erfa/src/tf2a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tf2a.c	(revision 18711)
@@ -35,5 +35,5 @@
 **      first, the smallest taking precedence.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -56,5 +56,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tf2d.c
===================================================================
--- trunk/FACT++/erfa/src/tf2d.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tf2d.c	(revision 18711)
@@ -35,5 +35,5 @@
 **      first, the smallest taking precedence.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -56,5 +56,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tr.c
===================================================================
--- trunk/FACT++/erfa/src/tr.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tr.c	(revision 18711)
@@ -21,5 +21,5 @@
 **     eraCr        copy r-matrix
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -27,4 +27,5 @@
    double wm[3][3];
    int i, j;
+
 
    for (i = 0; i < 3; i++) {
@@ -41,5 +42,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/trxp.c
===================================================================
--- trunk/FACT++/erfa/src/trxp.c	(revision 18710)
+++ trunk/FACT++/erfa/src/trxp.c	(revision 18711)
@@ -23,9 +23,10 @@
 **     eraRxp       product of r-matrix and p-vector
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double tr[3][3];
+
 
 /* Transpose of matrix r. */
@@ -41,5 +42,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/trxpv.c
===================================================================
--- trunk/FACT++/erfa/src/trxpv.c	(revision 18710)
+++ trunk/FACT++/erfa/src/trxpv.c	(revision 18711)
@@ -23,9 +23,10 @@
 **     eraRxpv      product of r-matrix and pv-vector
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double tr[3][3];
+
 
 /* Transpose of matrix r. */
@@ -41,5 +42,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tttai.c
===================================================================
--- trunk/FACT++/erfa/src/tttai.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tttai.c	(revision 18711)
@@ -34,5 +34,5 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -41,4 +41,5 @@
 /* TT minus TAI (days). */
    static const double dtat = ERFA_TTMTAI/ERFA_DAYSEC;
+
 
 /* Result, safeguarding precision. */
@@ -58,5 +59,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tttcg.c
===================================================================
--- trunk/FACT++/erfa/src/tttcg.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tttcg.c	(revision 18711)
@@ -33,5 +33,5 @@
 **     IAU 2000 Resolution B1.9
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -43,4 +43,5 @@
 /* TT to TCG rate */
    static const double elgg = ERFA_ELG/(1.0-ERFA_ELG);
+
 
 /* Result, safeguarding precision. */
@@ -60,5 +61,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/tttdb.c
===================================================================
--- trunk/FACT++/erfa/src/tttdb.c	(revision 18710)
+++ trunk/FACT++/erfa/src/tttdb.c	(revision 18711)
@@ -46,9 +46,10 @@
 **     IAU 2006 Resolution 3
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dtrd;
+
 
 /* Result, safeguarding precision. */
@@ -69,5 +70,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ttut1.c
===================================================================
--- trunk/FACT++/erfa/src/ttut1.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ttut1.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dtd;
+
 
 /* Result, safeguarding precision. */
@@ -58,5 +59,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ut1tai.c
===================================================================
--- trunk/FACT++/erfa/src/ut1tai.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ut1tai.c	(revision 18711)
@@ -36,9 +36,10 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dtad;
+
 
 /* Result, safeguarding precision. */
@@ -59,5 +60,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ut1tt.c
===================================================================
--- trunk/FACT++/erfa/src/ut1tt.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ut1tt.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dtd;
+
 
 /* Result, safeguarding precision. */
@@ -58,5 +59,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ut1utc.c
===================================================================
--- trunk/FACT++/erfa/src/ut1utc.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ut1utc.c	(revision 18711)
@@ -63,5 +63,5 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -70,4 +70,5 @@
    int i, iy, im, id, js;
    double duts, u1, u2, d1, dats1, d2, fd, dats2, ddats, us1, us2, du;
+
 
 /* UT1-UTC in seconds. */
@@ -141,5 +142,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/utctai.c
===================================================================
--- trunk/FACT++/erfa/src/utctai.c	(revision 18710)
+++ trunk/FACT++/erfa/src/utctai.c	(revision 18711)
@@ -59,5 +59,5 @@
 **     P. Kenneth Seidelmann (ed), University Science Books (1992)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -66,4 +66,5 @@
    int iy, im, id, j, iyt, imt, idt;
    double u1, u2, fd, dat0, dat12, w, dat24, dlod, dleap, z1, z2, a2;
+
 
 /* Put the two parts of the UTC into big-first order. */
@@ -125,5 +126,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/utcut1.c
===================================================================
--- trunk/FACT++/erfa/src/utcut1.c	(revision 18710)
+++ trunk/FACT++/erfa/src/utcut1.c	(revision 18711)
@@ -64,5 +64,5 @@
 **     eraTaiut1    TAI to UT1
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -70,4 +70,5 @@
    int iy, im, id, js, jw;
    double w, dat, dta, tai1, tai2;
+
 
 /* Look up TAI-UTC. */
@@ -95,5 +96,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/xy06.c
===================================================================
--- trunk/FACT++/erfa/src/xy06.c	(revision 18710)
+++ trunk/FACT++/erfa/src/xy06.c	(revision 18711)
@@ -86,5 +86,5 @@
 **     Wallace, P.T. & Capitaine, N., 2006, Astron.Astrophys. 459, 981
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -2707,5 +2707,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
